CUDA 9 officially supports only VS2017 RTM

Where do you actually find an installer for VS2017 RTM ? The online tool downloads automatically the latest version 15.3.5 and the archives only show VS2015, 2013, …

I don’t think you’ll find an installer for it available conveniently. The only way I know of that someone could have an installer for it is if they went through a special process with the usual install mechanism to create a standalone installer, when VS 2017 RTM was the standard install available.

You should be able to use updated versions of VS 2017:

https://devtalk.nvidia.com/default/topic/1024546/cuda-programming-and-performance/is-cuda-toolkit-9-working-with-a-vs-2017-version-gt-15-0-/